### Function

# FwupdPlugin CompressorStream new_compress

since: 2.0.7

#### Declaration [src]

    FuInputStream*
    fu_compressor_stream_new_compress (
      FuInputStream* source,
      FuCompressorFormat format,
      GError** error
    )

#### Description [src]

Creates a new stream that compresses data from `source` on read.

Available since: 2.0.7

#### Parameters

`source`

  Type: `FuInputStream`

  A `FuInputStream` with uncompressed data.

  The data is owned by the caller of the function.

`format`

  Type: `FuCompressorFormat`

  A `FuCompressorFormat`, e.g. `FU_COMPRESSOR_FORMAT_ZLIB`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `FuInputStream`

A `FuInputStream`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.